@echo off
rem 07-05-2002 JvW Initial version, derived from DFSIMAGE
rem 11-07-2002 JvW Updated to use V5 DFSDOS
rem 20-07-2002 JvW Removed confusing 'spacebar' hint for non-registred users
rem 05-11-2002 JvW Updated for executable naming DFSOS2, DFSWIN and DFSDOS
rem 16-08-2016 JvW Remove the Windows/DOS code, CMD is used for OS/2 only
echo.

if "%0"=="STARTEST"     echo on
if "%0"=="startest"     echo on

set dfsexe=dfsos2.exe

if "%1" == "?"   goto usage
if "%1" == "/?"  goto usage
if "%1" == "-?"  goto usage

%dfsexe% -b -q query RValid
if not errorlevel 1 goto work
echo.
echo NOTE: Your DFSee version is not properly registred, this will cause
echo       some extra delays and reminder messages to be displayed  ...
echo.

:work
%dfsexe% -b -w- -Q say Hello from the %0 sample script
rem
rem do you DFSee work here ... (see other DFS*.CMD files for examples)
goto end

:usage
echo Describe what the script will do here
echo.
echo Usage:  %0  Describe how to use parameters with your script here
echo.
echo         param1    =  First parameter
echo.
echo Examples:
echo  %0     a-param    Use the script with a-param
:end
